	subroutine error(xxx,code)
	implicit integer*4 (a-z)
	character*132 message

	if(code) return
	call sys$getmsg(%val(code),len,message,%val(15),)
	write (6,1001) xxx,message(:len)
1001	format (x,i,a)
	return
	end
